BizKitHub
DocsAPI ReferenceDrive/bff/drive/share-create
postDriveAdmin BFF

/bff/drive/share-create

Create a share link or file request

DrivepostBffDriveShare-create

Parameters

JSON body

Request body

application/json
mode"view" | "upload"Required

view = download link; upload = file request into a folder.

filestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
folderstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
titlestring | nullOptional
One of 2:
Variant 1
string
Length: 0–200
Variant 2
null
messagestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null
passwordstring | nullOptional
One of 2:
Variant 1
string
Length: 4–128
Variant 2
null
expiresDatestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
maxDownloadsnumber | nullOptional
One of 2:
Variant 1
number
Range: 1–100000
Variant 2
null
contactIdstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
orderNumberstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
idstringRequired
urlstringRequired
mode"view" | "upload"Required
status"active" | "expired" | "exhausted" | "revoked"Required
targetobjectRequired
type"file" | "folder"Required
idstringRequired
namestringRequired
pathstringRequired
titlestringOptional
messagestringOptional
hasPasswordbooleanRequired
expiresDatestringOptional
maxDownloadsnumberOptional
downloadCountnumberRequired
uploadCountnumberRequired
lastAccessDatestringOptional
insertedDatestringRequired
createdBystringOptional
contactobjectOptional
idstringRequired
namestringRequired
orderNumberstringOptional

Response example

application/json
{
  "id": "example_id",
  "url": "example_url",
  "target": {
    "id": "example_id",
    "name": "example_name",
    "path": "example_path"
  },
  "title": "example_title",
  "message": "example_message",
  "hasPassword": false,
  "expiresDate": "example_expiresDate",
  "maxDownloads": 0,
  "downloadCount": 0,
  "uploadCount": 0,
  "lastAccessDate": "example_lastAccessDate",
  "insertedDate": "example_insertedDate",
  "createdBy": "example_createdBy",
  "contact": {
    "id": "example_id",
    "name": "example_name"
  },
  "orderNumber": "example_orderNumber"
}

Request example

POST /bff/drive/share-create

post
curl -X POST "https://api.bizkithub.com/bff/drive/share-create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key